Download it now!
Bug 114967 - keyboard shortcut does not activate edit: move up/down
Summary: keyboard shortcut does not activate edit: move up/down
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.1 rc
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Shortcuts-Accelerators
  Show dependency treegraph
 
Reported: 2018-01-11 23:27 UTC by Paul
Modified: 2018-02-15 10:25 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paul 2018-01-11 23:27:28 UTC
Description:
I have alt-shift-up/down set to move Writer paragraphs up or down. I just noticed in 6.0.0.1 that neither hotkey is working. Tested on 2 keyboards. Using Linux x64.

Steps to Reproduce:
1.map alt-shift-up/down to edit:move up/down
2.place cursor in a paragraph.
3.use above shortcuts

Actual Results:  
sometimes alt-up/down registers, sometimes shift-up/down, and sometimes just up/down.

Expected Results:
paragraph should have moved up or down in paragraph order.


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/62.0.3202.97 Safari/537.36 Vivaldi/1.94.1008.40
Comment 1 Paul 2018-01-21 14:19:35 UTC
I downgraded to 5.4.1 and the problem persists. And I'm seeing some shortcut problems in other software. I'm not sure yet, but there's a strong possibility another program is conflicting with some keyboard shortcuts, in LO and other programs. Continuing to test.
Comment 2 Buovjaga 2018-02-12 12:07:12 UTC
Yep, it's working for me.

It seems you could use this to debug it: https://wiki.archlinux.org/index.php/extra_keyboard_keys#In_Xorg

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: c6a23023150c164a19236139fa413d43006ce21c
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on February 11th 2018
Comment 3 Paul 2018-02-12 14:25:04 UTC
Ok, thanks a lot for checking that out. That other business is beyond me, so I'll let this go, and I suppose it should be closed. I've assigned other hotkeys that are working well.
Comment 4 Xisco Faulí 2018-02-14 09:46:48 UTC
To be certain the reported issue is not
related to corruption in the user profile, could you please reset your
Libreoffice profile ( https://wiki.documentfoundation.org/UserProfile ) and
re-test?
Comment 5 Paul 2018-02-14 14:57:52 UTC
I just tried it with a fresh profile, and the errant behavior persists. There must be a conflict at the system level. My replacement shortcuts are working fine however. Thanks for your attention. I don't see a need to pursue this any further at this time.
Comment 6 Xisco Faulí 2018-02-15 10:25:17 UTC
Closing as RESOLVED WONTFIX